Subject: Re: mpi-context; MPI_ATTR_KEY_NULL proposal

From: Rik Littlefield <[email-masked]>
Date: Wed, 12 Jan 94 10:40:41 PST

Lyndon writes:

> Proposal
> --------
> 
> Introduce the constant MPI_ATTR_KEY_NULL defined as an attriubte key
> value which is legal, cannot be returned by MPI_ATTR_GET_KEY, and
> against which no attribute may be stored. 
> 
> MPI_ATTR_GET_VALUE(comm, MPI_ATTR_KEY_NULL, attribute_val, found)
> 
> will always return found = false (provided comm is valid).
> 
> Rationale
> ---------
> 
> This simplifies writing libraries using the cache capability, allows
> for better software practice by easier detection of non-initialised
> library and encapsulation of library initialisation code where this is
> shared across multiple library procedures.
> 
> With this proposal we can write code like the below.  before we would
> simply have to have the initialisation code in the top of every lib
> routine or call the lib init routine every time a lib routine is called. 
> The addition to the drafts costs us next to nothing. 

Cheap, works good, lasts a long time.  Do it.

--Rik
----------------------------------------------------------------------
[email-masked] (alias 'd39135')   Rik Littlefield
Tel: 509-375-3927                         Pacific Northwest Lab, MS K1-87
Fax: 509-375-6631                         P.O.Box 999, Richland, WA  99352